package SwitchToDatabase;

import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.reportdesigner.ReportAPI.DBInfo;
import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;

public class SwitchToDatabase extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			SwitchToDatabase report = new SwitchToDatabase();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doSwitchToDatabase(frame));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doSwitchToDatabase(this));
	}

	Component doSwitchToDatabase(Object parent) {

		// Do not use EspressManager
		QbReport.setEspressManagerUsed(false);

		// Data Source
		DBInfo newDatabaseInfo = new DBInfo(
				"jdbc:hsqldb:woodview",
				"org.hsqldb.jdbcDriver",
				"sa",
				"",
				"SELECT Categories.CategoryName, Products.ProductName, Products.UnitPrice, Products.StainPrice, Products.UnitsInStock FROM Products, Categories WHERE (Products.CategoryID = Categories.CategoryID)");

		// Open the template with backup data
		QbReport report = new QbReport(parent, // container 
				"SwitchToDatabase.rpt", // template
				false, false, false, true);

		try {
			// Switch data source
			report.getInputData().setDatabaseInfo(newDatabaseInfo);

			// Refresh report
			report.refresh();
		} catch (Exception ex)
		{
			ex.printStackTrace();

		}

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}
}
